﻿using System;

namespace HeuristicLab.CommandLineInterface {
  /// <summary>
  /// The option attribute identifies properties as option. 
  /// </summary>
  [AttributeUsage(AttributeTargets.Property)]
  public class OptionAttribute : Attribute {
    /// <summary>
    /// An optional shortcut of the option. Takes the '-' prefix. For example: '-o'.
    /// </summary>
    public string Shortcut { get; set; }
    /// <summary>
    /// The description of the option. 
    /// </summary>
    public string Description { get; set; }
    /// <summary>
    /// Set this to true to get a required option, which has always to be set from the user.
    /// </summary>
    public bool Required { get; set; } = false;
  }
}
