﻿using System;
using System.Collections.Generic;
using System.IO;
using HeuristicLab.CommandLineInterface;
using HeuristicLab.DynamicAssemblyTestApp;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab {
  [Command(Description = "To inspect a .hl file.")]
  class InspectCommand : ICommand {

    [Value(0)]
    public string Input { get; set; }

    public void Execute() {
      if (Input == null || !File.Exists(Input))
        throw new FileNotFoundException("Path to .hl file empty or wrong!");

      if (Settings.Host != null) {
        Settings.Host.Run(new ApplicationRunner() {
          QuietMode = false,
          AssembliesToLoad = Settings.assemblyInfos,
          StartApplication = new InspectApplication() {
            InputFilePath = new UniPath(Input)
          }
        });
      }
      
    }
  }
}